umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Macros | Functions | Variables
docbookgeneratorjob.cpp File Reference
`#include "docbookgeneratorjob.h"`
`#include "docbookgenerator.h"`
`#include "debug_utils.h"`
`#include "file_utils.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include <libxml/xmlmemory.h>`
`#include <libxml/debugXML.h>`
`#include <libxml/HTMLtree.h>`
`#include <libxml/xmlIO.h>`
`#include <libxml/xinclude.h>`
`#include <libxml/catalog.h>`
`#include <libxslt/xslt.h>`
`#include <libxslt/xsltInternals.h>`
`#include <libxslt/transform.h>`
`#include <libxslt/xsltutils.h>`
`#include <kstandarddirs.h>`
`#include <ktemporaryfile.h>`
`#include <KLocalizedString>`
`#include <QTextStream>`

## Macros
#define | MAX_PATHS 64

## Functions
static xmlParserInputPtr | xsltprocExternalEntityLoader (const char *_URL, const char *ID, xmlParserCtxtPtr ctxt)

## Variables
int | xmlLoadExtDtdDefaultValue
static xmlExternalEntityLoader | defaultEntityLoader = NULL
static xmlChar * | paths [MAX_PATHS+1]
static int | nbpaths = 0
static QHash< QString, QString > | replaceURLList

## Macro Definition Documentation

## ◆ MAX_PATHS

#define MAX_PATHS 64

## Function Documentation

## ◆ xsltprocExternalEntityLoader()

static xmlParserInputPtr xsltprocExternalEntityLoader | ( | const char * | _URL,
|  | const char * | ID,
|  | xmlParserCtxtPtr | ctxt
| ) |  |
| static

## Variable Documentation

## ◆ defaultEntityLoader

xmlExternalEntityLoader defaultEntityLoader = NULL
| static

## ◆ nbpaths

int nbpaths = 0
| static

## ◆ paths

xmlChar* paths[MAX_PATHS+1]
| static

## ◆ replaceURLList

QHash<QString,QString> replaceURLList
| static

## ◆ xmlLoadExtDtdDefaultValue

int xmlLoadExtDtdDefaultValue
| extern